%define upstream_name    Audio-CD
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:	Perl interface to libcdaudio
License:	GPL
Group:		Development/Perl
Url:		http://home.wanadoo.nl/jano/disc-cover.html
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	libcdaudio-devel
BuildRequires:	perl-devel

%description
This module was created for adding CDDB support to Xmms::shell and cd
tray eject.  Methods for a good chunk of other libcdaudio functions
were added, but the docs and glue are not complete.

NOTE: This version has been altered by J.I. van Hemert
<jvhemert@cs.leidenuniv.nl> to suit the needs of Disc-Cover. Please
start with the original package if you wish to develop something.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std
chmod 644 README

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/Audio
%{perl_vendorarch}/auto/Audio
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-6.mga3
+ Revision: 363230
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 jquelin <jquelin> 0.50.0-5.mga3
+ Revision: 322335
- rpm group change

* Wed May 30 2012 jquelin <jquelin> 0.50.0-4.mga3
+ Revision: 250269
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.50.0-3.mga2
+ Revision: 103452
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.50.0-2.mga1
+ Revision: 9343
- imported package perl-Audio-CD

